This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 200321 - CVE-2006-3119, fbida: malicious postscript command vulnerability
CVE-2006-3119, fbida: malicious postscript command vulnerability
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: fbida (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Reber
Fedora Extras Quality Assurance
http://nvd.nist.gov/nvd.cfm?cvename=C...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-26 16:25 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-28 05:47:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-07-26 16:25:47 EDT
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2006-3119

"The fbgs framebuffer Postscript/PDF viewer in fbi before 2.01 has a typo that
prevents a filter from working correctly, which allows user-assisted attackers
to bypass the filter and execute malicious Postscript commands."

The CVE description says before 2.01, but 2.03 seems to be affected too.

Fix: s/-dSAVER/-dSAFER/ in fbgs
Comment 1 Adrian Reber 2006-07-27 12:05:16 EDT
I have released fixes for FC-3, FC-4 and FC-5. The build for devel failed on ppc
because of changes in the kernel headers. I need to investigate how to solve the
problem on devel and will then close this bug.
Comment 2 Adrian Reber 2006-07-28 05:47:18 EDT
also fixed on devel

Note You need to log in before you can comment on or make changes to this bug.